        LIST

; My macros 


        NOLIST

; LCD Module commands
; ===================
LINE1          EQU  0x080   ; Set display to line 1 character 0
LINE2          EQU  0x0C0   ; Set display to line 2 character 0

FUNCTION_SET   EQU  0x028   ; 4 bits, 2 lines, 5x7 Font 

;CLR_DISP - clears all display, and cursor home to addr 0
CLR_DISP       EQU  0x001   ; Clear the Display

;RTN_HOME - cursor home and display unshifted, DDRAM unchanged
RTN_HOME    EQU    0X002

;DISP_... - Display on / off control, C = cursor ON, B = chr pos blink
DISP_ON        EQU  0x00C   ; Display on
DISP_ON_C      EQU  0x00E   ; Display on, Cursor on
DISP_ON_B      EQU  0x00F   ; Display on, Cursor on, Blink cursor
DISP_OFF       EQU  0x008   ; Display off

;ENTRY_... - sets entry mode, S = display shift on, INC / DEC cursor move dir
ENTRY_INC      EQU  0x006   ;
ENTRY_INC_S    EQU  0x007   ;
ENTRY_DEC      EQU  0x004   ;
ENTRY_DEC_S    EQU  0x005   ;

;SHIFT_. - Cursor & Display shift, S = Display, C = cursor, L = Left, R = Right
SHIFT_C_L     EQU  0x010
SHIFT_C_R     EQU  0x014
SHIFT_S_L     EQU  0x018
SHIFT_S_R     EQU  0x01C

DD_RAM_ADDR    EQU  0x080   ; Least Significant 7-bit are for address
DD_RAM_UL      EQU  0x080   ; Upper Left coner of the Display

; My macros 
; =========

cmp	macro f,const
	movlw const
	subwf f,w
	endm

mvi	macro f,const
	movlw const
	movwf f
	endm

movff	macro f1,f2
	movf f1,w
	movwf f2
	endm

selb0   macro
        bcf     3,5
        endm

selb1   macro
        bsf     3,5
        endm


sz	macro
	btfss STATUS,Z
	endm

snz	macro
	btfsc STATUS,Z
	endm

sc	macro
	btfss STATUS,C ; 3,0
	endm

snc	macro
	btfsc STATUS,C
	endm




